Payment Statuses
Payment statuses track the payment state of financial transactions.
Use the Datastore_PaymentStatus endpoint to query payment statuses.
Endpoints
List Payment Statuses
GET
/v1/odata/Datastore_PaymentStatusSingle Payment Statuse
GET
/v1/odata/Datastore_PaymentStatus({id})Fields
Datastore Fields (inherited)
| Field | Type | Description |
|---|---|---|
Name | String | Display name |
Code | String | Unique code identifier |
LocalizedName | String | Localized display name |
IsDefault | Boolean | Whether this is the default value |
Relationships
| Relationship | Target Entity | Cardinality | Description |
|---|---|---|---|
| Payment | Template_Email_Payment | 1:N | Payment |
Expanding Relationships
GET
/v1/odata/Datastore_PaymentStatus({id})?$expand=PaymentNavigating Relationships
GET
/v1/odata/Datastore_PaymentStatus({id})/PaymentFiltering Examples
GET
/v1/odata/Datastore_PaymentStatus?$filter=Name eq '{Name}'&$top={top}GET
/v1/odata/Datastore_PaymentStatus?$filter=contains(Name, '{Name}')&$top={top}GET
/v1/odata/Datastore_PaymentStatus?$filter=Code eq '{Code}'&$top={top}GET
/v1/odata/Datastore_PaymentStatus?$filter=IsDefault eq {IsDefault}&$top={top}